Root 6.10/04 fatal error with xcode9.0-beta

Hi, I have already installed the root 6.10/04 and everything is okay when I started to use it. However, I didn’t do anything but the next time I opened the root, a fatal error is hinted.

input_line_1:1:10: fatal error: file ‘/Library/Developer/CommandLineTools/usr/include/c++/v1/new’ modified since it was first processed
#include
^
input_line_3:36:10: fatal error: file ‘/Library/Developer/CommandLineTools/usr/include/c++/v1/string’ modified since it was first processed
#include
^

| Welcome to ROOT 6.10/04 http://root.cern.ch |
| © 1995-2017, The ROOT Team |
| Built for macosx64 |
| From tag v6-10-04, 28 July 2017 |

Try ‘.help’, ‘.demo’, ‘.license’, ‘.credits’, ‘.quit’/’.q’

input_line_7:2:10: fatal error: error opening file ‘/Library/Developer/CommandLineTools/usr/include/c++/v1/string’:
#include
^

And I have already install the xcode 9.0.

─[1] <> xcode-select --install
xcode-select: error: command line tools are already installed, use “Software Update” to install updates

My g++ version is

└─[0] <> gcc --version
Configured with: --prefix=/Library/Developer/CommandLineTools/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 9.0.0 (clang-900.0.37)
Target: x86_64-apple-darwin16.7.0
Thread model: posix
InstalledDir: /Library/Developer/CommandLineTools/usr/bin

I’m appreciated for your answer.


This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.